
package com.tmerclub.cloud.supplier.model;

import com.tmerclub.cloud.common.model.BaseModel;
import com.tmerclub.cloud.api.payment.constant.PaySysType;

import java.io.Serial;
import java.io.Serializable;


/**
 * 供应商钱包信息
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
public class SupplierWallet extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 供应商钱包id
     */
    private Long supplierWalletId;

    /**
     * 供应商ID
     */
    private Long supplierId;

    /**
     * 支付系统类型
     * @see PaySysType
     */
    private Integer paySysType;

    /**
     * 未结算金额（用户支付）
     */
    private Long unsettledAmount;

    /**
     * 已结算金额（用户确认收货后，可以提现）
     */
    private Long settledAmount;

    /**
     * 冻结金额（用户确认收货）
     */
    private Long freezeAmount;

    /**
     * 累积结算金额
     */
    private Long totalSettledAmount;

    /**
     * 乐观锁
     */
    private Long version;

    public Long getSupplierWalletId() {
        return supplierWalletId;
    }

    public void setSupplierWalletId(Long supplierWalletId) {
        this.supplierWalletId = supplierWalletId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    public Long getUnsettledAmount() {
        return unsettledAmount;
    }

    public void setUnsettledAmount(Long unsettledAmount) {
        this.unsettledAmount = unsettledAmount;
    }

    public Long getSettledAmount() {
        return settledAmount;
    }

    public void setSettledAmount(Long settledAmount) {
        this.settledAmount = settledAmount;
    }

    public Long getFreezeAmount() {
        return freezeAmount;
    }

    public void setFreezeAmount(Long freezeAmount) {
        this.freezeAmount = freezeAmount;
    }

    public Long getTotalSettledAmount() {
        return totalSettledAmount;
    }

    public void setTotalSettledAmount(Long totalSettledAmount) {
        this.totalSettledAmount = totalSettledAmount;
    }

    public Long getVersion() {
        return version;
    }

    public void setVersion(Long version) {
        this.version = version;
    }

    @Override
    public String toString() {
        return "SupplierWallet{" +
                "supplierWalletId=" + supplierWalletId +
                ", supplierId=" + supplierId +
                ", paySysType=" + paySysType +
                ", unsettledAmount=" + unsettledAmount +
                ", settledAmount=" + settledAmount +
                ", freezeAmount=" + freezeAmount +
                ", totalSettledAmount=" + totalSettledAmount +
                ", version=" + version +
                '}';
    }
}
